View Issue Details

IDProjectCategoryView StatusLast Update
0001014Main CAcert Websiteweb of trustpublic2013-01-15 18:09
ReporterKarstenHoffmeyer Assigned ToINOPIAE  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformx86, 32-bitOSNT 
Fixed in Version2012 Q2 
Summary0001014: Remove the system of automatically adding a timestamp
DescriptionThe field date of assurance gets automatically filled with a date and a timestamp in case the assurance gets entered into the system the same day the assurance took place (of cause you have to indicate this during the process of entering the assurance). The automatic inclusion of a timestamp should be abandoned.

Additional InformationThere will always be a delay between the time of the assurance and the time the assurance gets entered into the system. At best the delay is only within the acceptable range of half an hour. According to my experience this is only the case on rare occasions. Thus a misleading and incorrect timestamp gets automatically added to the datestamp. I believe the timestamp has little to no value too thinking of possible arbitrations years later.
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0001023 needs workEva Consolidate changes into the Assure Someone page 
related to 0000870 closed My Details - My Points show bugus time stamp 
related to 0000931 closed Date of assurance in future don't throw any exception 

Activities

NEOatNHNG

2012-02-12 13:48

administrator   ~0002829

You are talking about the same functionality that is also in the production system right?

Would it be better to only use the current date? I could also think of prefilling the form with the date of today if there was no previous assurance entered and completely disallowing the empty value.

KarstenHoffmeyer

2012-02-13 12:50

reporter   ~0002830

Thank you for retagging this report. Actually I had no clue what to select. :(

I thought that this field is already mandatory. I never tried to save without entering a date. It imho should be mandatory, no matter if the assurance gets entered the same day or at a later day.

Yeah, that's it, just the current date without the misleading time information. So far both date and time get prefilled in case the assurance gets entered the same day. In case it gets entered on another day I may remain as is.

INOPIAE

2012-05-28 09:40

updater   ~0003012

This problem is solved with the actual solution of bug 1023

Werner Dworak

2012-12-21 05:30

updater   ~0003531

More than 3 month fixed and no complaints

Issue History

Date Modified Username Field Change
2012-02-11 12:37 KarstenHoffmeyer New Issue
2012-02-12 13:48 NEOatNHNG Note Added: 0002829
2012-02-12 13:48 NEOatNHNG Project test.cacert.org => Main CAcert Website
2012-02-12 13:48 NEOatNHNG Category cacert1.it-sls.de => General
2012-02-12 13:49 NEOatNHNG Category General => web of trust
2012-02-13 12:50 KarstenHoffmeyer Note Added: 0002830
2012-05-28 09:39 INOPIAE Relationship added related to 0001023
2012-05-28 09:40 INOPIAE Note Added: 0003012
2012-05-28 09:40 INOPIAE Status new => solved?
2012-05-28 09:40 INOPIAE Resolution open => fixed
2012-05-28 09:40 INOPIAE Assigned To => INOPIAE
2012-05-28 10:03 INOPIAE Relationship added related to 0000870
2012-12-21 05:30 Werner Dworak Note Added: 0003531
2012-12-21 05:30 Werner Dworak Status solved? => closed
2012-12-27 05:43 Werner Dworak Relationship added related to 0000931
2013-01-15 18:09 Werner Dworak Fixed in Version => 2012 Q2